# Class SqlExecutionEvent

java.lang.Object
com.databricks.jdbc.model.telemetry.SqlExecutionEvent

public class SqlExecutionEvent extends Object

## Constructor Summary

Constructors
Constructor
Description
`SqlExecutionEvent()`

## Method Summary

Modifier and Type
Method
Description
`SqlExecutionEvent`
`setChunkDetails(ChunkDetails chunkDetails)`
`SqlExecutionEvent`
`setChunkId(Long chunkId)`
`SqlExecutionEvent`
`setCompressed(boolean isCompressed)`
`SqlExecutionEvent`
`setDriverStatementType(StatementType driverStatementType)`
`SqlExecutionEvent`
`setExecutionResultFormat(ExecutionResultFormat executionResultFormat)`
`SqlExecutionEvent`
`setOperationDetail(OperationDetail operationDetail)`
`SqlExecutionEvent`
`setResultLatency(ResultLatency resultLatency)`
`SqlExecutionEvent`
`setRetryCount(Integer retryCount)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SqlExecutionEvent

public SqlExecutionEvent()

## Method Details

### setDriverStatementType

public SqlExecutionEvent setDriverStatementType(StatementType driverStatementType)

### setCompressed

public SqlExecutionEvent setCompressed(boolean isCompressed)

### setExecutionResultFormat

public SqlExecutionEvent setExecutionResultFormat(ExecutionResultFormat executionResultFormat)

### setChunkId

public SqlExecutionEvent setChunkId(Long chunkId)

### setRetryCount

public SqlExecutionEvent setRetryCount(Integer retryCount)

### setChunkDetails

public SqlExecutionEvent setChunkDetails(ChunkDetails chunkDetails)

### setResultLatency

public SqlExecutionEvent setResultLatency(ResultLatency resultLatency)

### setOperationDetail

public SqlExecutionEvent setOperationDetail(OperationDetail operationDetail)

### toString

public String toString()

Overrides:
  `toString` in class `Object`